All Apps and Add-ons

APPINSPECT REPORT failure: Python2 compatibility?

wjo1212
Engager

Dears,
I received an APPINSPECT REPORT indicating that the modular input in the add-on I created have below issues:

ImportError: No module named enum `
File: bin/sls_datainput.py

Actually the module enum is only an Python2 issue, the add-on is fully supporting Python3 (Splunk HF 8.0) and already been configured by setting python.version to python3. in inputs.conf.
My question is : If Python2 and 3 compatibility is a criteria of passing AppInspect, or any other suggestions? Thanks!

Did you miss .conf21 Virtual?

Good news! The event's keynotes and many of its breakout sessions are now available online, and still totally FREE!